Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMModule

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMModule

    public class ASMModule
    extends ASMOclAny

### Field Summary

Fields
`static ASMOclType` `myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`ASMModule​(ASM asm)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ASMMap` `asMap​(StackFrame frame, ASMModule self)`
`ASMOclAny` `get​(StackFrame frame, java.lang.String name)`
`java.lang.String` `getName()`
`void` `set​(StackFrame frame, java.lang.String name, ASMOclAny value)`
`java.lang.String` `toString()`
`void` `unset​(StackFrame frame, java.lang.String name)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, setType, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### myType

    public static ASMOclType myType

### Constructor Detail

#### ASMModule

    public ASMModule​(ASM asm)

### Method Detail

#### get

    public ASMOclAny get​(StackFrame frame,
                         java.lang.String name)

Overrides:
  `get` in class `ASMOclAny`

#### set

    public void set​(StackFrame frame,
                    java.lang.String name,
                    ASMOclAny value)

Overrides:
  `set` in class `ASMOclAny`

#### unset

    public void unset​(StackFrame frame,
                      java.lang.String name)

Overrides:
  `unset` in class `ASMOclAny`
See Also:
  `ASMOclAny.unset(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String)`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getName

    public java.lang.String getName()

#### asMap

    public static ASMMap asMap​(StackFrame frame,
                               ASMModule self)